#include <color.h>

static const int Tile_Height = 20;
static const int Tile_Width = 20;

void DrawField();
void CreateFields(int x, int y);
color_t* getVisibleType(int i, int j);
int Cascade(int x, int y, int total);
void Die(int cursorX, int cursorY);
void Win();
void PrintXYVisibleSpot(int i, int j);
void About();
int Settings();
char* concat(char* str1, char* str2);
void DrawTile(color_t* tile, int i, int j, int xor);
void SetBottomText(char* text);
int LoadState();
int SaveState();
void LoadSettings(unsigned char* file);
void SaveSettings(unsigned char* file);

const color_t cursor[400] = {
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF
};

const color_t eight[400] = {
	0x528A,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0xBDD7,
	0x528A,0x4A49,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x4208,0x4208,0x4208,0x4208,0x4208,0x4208,0x4208,0x4208,0x4208,0x4208,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x4208,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x4208,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x4208,0x0000,0x4208,0x4208,0x4208,0x4208,0x4208,0x4208,0x4208,0x4208,0x4208,0x4208,0x0000,0x4208,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x4208,0x0000,0x4208,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x4208,0x0000,0x4208,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x4208,0x0000,0x4208,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x4208,0x0000,0x4208,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x4208,0x0000,0x4208,0x4208,0x4208,0x4208,0x4208,0x4208,0x4208,0x4208,0x4208,0x4208,0x0000,0x4208,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x4208,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x4208,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x4208,0x0000,0x4208,0x4208,0x4208,0x4208,0x4208,0x4208,0x4208,0x4208,0x4208,0x4208,0x0000,0x4208,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x4208,0x0000,0x4208,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x4208,0x0000,0x4208,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x4208,0x0000,0x4208,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x4208,0x0000,0x4208,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x4208,0x0000,0x4208,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x4208,0x0000,0x4208,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x4208,0x0000,0x4208,0x4208,0x4208,0x4208,0x4208,0x4208,0x4208,0x4208,0x4208,0x4208,0x0000,0x4208,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x4208,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x4208,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x4208,0x4208,0x4208,0x4208,0x4208,0x4208,0x4208,0x4208,0x4208,0x4208,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xB596,0xBDD7,
	0x528A,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xBDD7
};

const color_t zero[400] = {
	0x528A,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0xBDD7,
	0x528A,0x4A49,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xB596,0xBDD7,
	0x528A,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xBDD7
};

const color_t explode[400] = {
	0x528A,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0xBDD7,
	0x528A,0x4A49,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x3100,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xFD8A,0x9CD3,0x9CD3,0xB0E0,0xD000,0x9CD3,0x9CD3,0x3940,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0xB0E0,0xB0E0,0x7080,0x8241,0xFCE2,0x7080,0xFD8A,0xFD8A,0xD000,0x9CD3,0x7080,0xB0E0,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0xD000,0xFD8A,0x9200,0xFCE2,0xE0A0,0xB0E0,0xFD8A,0x3100,0xCC60,0xB0E0,0xFCE2,0xCC60,0xFD8A,0xD000,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0xD000,0xFD8A,0xFCE2,0xCC60,0xE0A0,0x9200,0xCC60,0xFCE2,0xFD8A,0xD000,0x8241,0x9200,0xB0E0,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x7080,0xFD8A,0xD000,0x8241,0x3940,0xFD8A,0xE0A0,0x9200,0xFD8A,0xE0A0,0x3940,0x7080,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0xFD8A,0xFCE2,0xCC60,0xD000,0xF7E5,0x9200,0x9200,0x8241,0xD000,0x8241,0xFCE2,0xD000,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0xFD8A,0xE0A0,0x8241,0x3940,0xE0A0,0x8241,0xE0A0,0xE0A0,0xF7E5,0x3100,0x9200,0x7080,0xFD8A,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0xD000,0xFCE2,0xFD8A,0xF7E5,0xCC60,0xF7E5,0xD000,0xF7DF,0x8241,0x9200,0xCC60,0xD000,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0xB0E0,0xB0E0,0xCC60,0x9200,0xFD8A,0xFCE2,0xD000,0xE0A0,0xE0A0,0x9200,0xFD8A,0x7080,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x7080,0xFD8A,0xD000,0x3940,0xD000,0xF7DF,0xF7E5,0x3100,0xCC60,0xF7E5,0x8241,0xD000,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0xFCE2,0x8241,0xD000,0xF7E5,0xD000,0xF7DF,0xF7E5,0xD000,0xFCE2,0xFD8A,0xB0E0,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x7080,0x3100,0x3940,0x3100,0x3940,0x20C1,0x28E0,0x20C0,0x28E0,0xB0E0,0xFCE2,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x3100,0x3940,0x3100,0x3940,0x3100,0x3940,0x20C1,0x28E0,0x20C0,0x28E0,0x20C0,0x28E0,0x20C0,0x28E0,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xB596,0xBDD7,
	0x528A,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xBDD7
};

const color_t filled[400] = {
	0xC638,0xCE79,0xCE79,0xCE79,0xCE79,0xCE79,0xCE79,0xCE79,0xCE79,0xCE79,0xCE79,0xCE79,0xCE79,0xCE79,0xCE79,0xCE79,0xCE79,0xCE79,0xCE79,0x4A49,
	0xC638,0xC618,0xC638,0xC638,0xC638,0xC638,0xC638,0xC638,0xC638,0xC638,0xC638,0xC638,0xC638,0xC638,0xC638,0xC638,0xC638,0xC638,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0x52AA,0x52AA,0x52AA,0x52AA,0x52AA,0x52AA,0x52AA,0x52AA,0x52AA,0x52AA,0x52AA,0x52AA,0x52AA,0x52AA,0x52AA,0x52AA,0x4208,0x4A49,
	0xC638,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x4A49
};

const color_t five[400] = {
	0x528A,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0xBDD7,
	0x528A,0x4A49,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xFE64,0xFE64,0xFE64,0xFE64,0xFE64,0xFE64,0xFE64,0xFE64,0xA3E0,0xA3E0,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0xFE64,0xA3E0,0xA3E0,0xA3E0,0xA3E0,0xA3E0,0xA3E0,0xA3E0,0xA3E0,0xA3E0,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0xFE64,0xA3E0,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0xFE64,0xA3E0,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0xFE64,0xA3E0,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0xFE64,0xA3E0,0x9CD3,0x9CD3,0xFE64,0xFE64,0xFE64,0xFE64,0xFE64,0xFE64,0xA3E0,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0xFE64,0xA3E0,0xFE64,0xFE64,0xA3E0,0xA3E0,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xFE64,0xA3E0,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0xFE64,0xFE64,0xA3E0,0xA3E0,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xFE64,0xA3E0,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xFE64,0xA3E0,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xFE64,0xA3E0,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xFE64,0xA3E0,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xFE64,0xA3E0,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0xFE64,0xA3E0,0xA3E0,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xFE64,0xFE64,0xA3E0,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0xFE64,0xFE64,0xFE64,0xFE64,0xFE64,0xFE64,0xFE64,0xA3E0,0xA3E0,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xB596,0xBDD7,
	0x528A,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xBDD7
};

const color_t flagged[400] = {
	0xC638,0xCE79,0xCE79,0xCE79,0xCE79,0xCE79,0xCE79,0xCE79,0xCE79,0xCE79,0xCE79,0xCE79,0xCE79,0xCE79,0xCE79,0xCE79,0xCE79,0xCE79,0xCE79,0x4A49,
	0xC638,0xC618,0xC638,0xC638,0xC638,0xC638,0xC638,0xC638,0xC638,0xC638,0xC638,0xC638,0xC638,0xC638,0xC638,0xC638,0xC638,0xC638,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0xAD75,0xAD75,0x0000,0x0000,0x0000,0x0000,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0xAD75,0xAD75,0x0000,0x6000,0xE000,0x6000,0x0000,0x0000,0x0000,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0xAD75,0xAD75,0x0000,0x6000,0xE000,0xE000,0xE000,0xE000,0x6000,0x0000,0x0000,0x0000,0xAD75,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0xAD75,0xAD75,0x0000,0x6000,0xE000,0xE000,0x6000,0x0000,0xE000,0xE000,0xE000,0x6000,0x0000,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0xAD75,0xAD75,0x0000,0x6000,0xE000,0xE000,0x0000,0x0000,0x0000,0xE000,0xE000,0x6000,0x0000,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0xAD75,0xAD75,0x0000,0x6000,0xE000,0xE000,0xE000,0x0000,0x6000,0xE000,0xE000,0x6000,0x0000,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0xAD75,0xAD75,0x0000,0x0000,0x0000,0x0000,0x6000,0xE000,0xE000,0xE000,0xE000,0x6000,0x0000,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0xAD75,0xAD75,0x0000,0xAD75,0xAD75,0xAD75,0x0000,0x0000,0x0000,0x6000,0xE000,0x6000,0x0000,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0xAD75,0xAD75,0x0000,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0x0000,0x0000,0x0000,0x0000,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0xAD75,0xAD75,0x0000,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0x0000,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0xAD75,0xAD75,0x0000,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0xAD75,0xAD75,0x0000,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0xAD75,0xAD75,0x0000,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0xAD75,0xAD75,0x0000,0x4208,0x4208,0x4208,0x4208,0x4208,0x4208,0x4208,0x4208,0xAD75,0xAD75,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0x52AA,0x52AA,0x52AA,0x52AA,0x52AA,0x52AA,0x52AA,0x52AA,0x52AA,0x52AA,0x52AA,0x52AA,0x52AA,0x52AA,0x52AA,0x52AA,0x4208,0x4A49,
	0xC638,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x4A49
};

const color_t misflagged[400] = {
	0xC638,0xCE79,0xCE79,0xCE79,0xCE79,0xCE79,0xCE79,0xCE79,0xCE79,0xCE79,0xCE79,0xCE79,0xCE79,0xCE79,0xCE79,0xCE79,0xCE79,0xCE79,0xCE79,0x4A49,
	0xC638,0xC618,0xC638,0xC638,0xC638,0xC638,0xC638,0xC638,0xC638,0xC638,0xC638,0xC638,0xC638,0xC638,0xC638,0xC638,0xC638,0xC638,0x4208,0x4A49,
	0xC638,0xC618,0x0000,0x0000,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0x0000,0x0000,0x4208,0x4A49,
	0xC638,0xC618,0x0000,0xF800,0x0000,0xAD75,0x0000,0x0000,0x0000,0x0000,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0x0000,0xF800,0x0000,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0x0000,0xF800,0x0000,0x0000,0x6000,0xE000,0x6000,0x0000,0x0000,0x0000,0xAD75,0x0000,0xF800,0x0000,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0x0000,0xF800,0x0000,0x6000,0xE000,0xE000,0xE000,0xE000,0x6000,0x0000,0xF800,0x0000,0xAD75,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0xAD75,0x0000,0xF800,0x0000,0xE000,0xE000,0x6000,0x0000,0x0000,0xF800,0x0000,0x6000,0x0000,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0xAD75,0xAD75,0x0000,0xF800,0x0000,0xE000,0x0000,0x0000,0xF800,0x0000,0xE000,0x6000,0x0000,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0xAD75,0xAD75,0x0000,0x0000,0xF800,0x0000,0x0000,0xF800,0x0000,0xE000,0xE000,0x6000,0x0000,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0xAD75,0xAD75,0x0000,0x0000,0x0000,0xF800,0xF800,0x0000,0xE000,0xE000,0xE000,0x6000,0x0000,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0xAD75,0xAD75,0x0000,0xAD75,0x0000,0xF800,0xF800,0x0000,0x0000,0x6000,0xE000,0x6000,0x0000,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0xAD75,0xAD75,0x0000,0x0000,0xF800,0x0000,0x0000,0xF800,0x0000,0x0000,0x0000,0x0000,0x0000,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0xAD75,0xAD75,0x0000,0xF800,0x0000,0xAD75,0xAD75,0x0000,0xF800,0x0000,0xAD75,0xAD75,0x0000,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0xAD75,0x0000,0xF800,0x0000,0xAD75,0xAD75,0xAD75,0xAD75,0x0000,0xF800,0x0000,0xAD75,0xAD75,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0x0000,0xF800,0x0000,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0x0000,0xF800,0x0000,0xAD75,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0x0000,0xF800,0x0000,0x0000,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0xAD75,0x0000,0xF800,0x0000,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0x0000,0xF800,0x0000,0xAD75,0x0000,0x4208,0x4208,0x4208,0x4208,0x4208,0x4208,0x4208,0x4208,0x0000,0xF800,0x0000,0x4208,0x4A49,
	0xC638,0xC618,0x0000,0x0000,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0x0000,0x0000,0x4208,0x4A49,
	0xC638,0xC618,0x52AA,0x52AA,0x52AA,0x52AA,0x52AA,0x52AA,0x52AA,0x52AA,0x52AA,0x52AA,0x52AA,0x52AA,0x52AA,0x52AA,0x52AA,0x52AA,0x4208,0x4A49,
	0xC638,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x4A49
};

const color_t four[400] = {
	0x528A,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0xBDD7,
	0x528A,0x4A49,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0xE7A0,0xE7A0,0x6BA0,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0xE7A0,0x6BA0,0x9CD3,0xE7A0,0x6BA0,0x9CD3,0x9CD3,0x9CD3,0xE7A0,0x6BA0,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xE7A0,0x6BA0,0x9CD3,0x9CD3,0xE7A0,0x6BA0,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xE7A0,0x6BA0,0x9CD3,0x9CD3,0xE7A0,0x6BA0,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xE7A0,0x6BA0,0x9CD3,0x9CD3,0xE7A0,0x6BA0,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xE7A0,0x6BA0,0x9CD3,0x9CD3,0xE7A0,0x6BA0,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xE7A0,0x6BA0,0x6BA0,0x6BA0,0xE7A0,0x6BA0,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xE7A0,0xE7A0,0xE7A0,0xE7A0,0xE7A0,0x6BA0,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xE7A0,0x6BA0,0x6BA0,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xE7A0,0x6BA0,0x9CD3,0xE7A0,0x6BA0,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xE7A0,0x6BA0,0x9CD3,0x9CD3,0xE7A0,0x6BA0,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xE7A0,0x6BA0,0x9CD3,0x9CD3,0xE7A0,0x6BA0,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xE7A0,0x6BA0,0x9CD3,0xE7A0,0x6BA0,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xE7A0,0xE7A0,0x6BA0,0x6BA0,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xB596,0xBDD7,
	0x528A,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xBDD7
};

const color_t mine[400] = {
	0x528A,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0xBDD7,
	0x528A,0x4A49,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x528A,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x528A,0x0000,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x6B6D,0x528A,0x0000,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x528A,0x9CD3,0x9CD3,0x9CD3,0x528A,0x39E7,0x0000,0x9CD3,0x9CD3,0x9CD3,0x6B6D,0x0000,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x528A,0x0000,0x9CD3,0x9CD3,0x6B6D,0x528A,0x39E7,0x0000,0x9CD3,0x528A,0x0000,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x528A,0x0000,0x528A,0x6B6D,0x9CD3,0x6B6D,0x0000,0x528A,0x39E7,0x0000,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x0000,0x39E7,0x39E7,0x528A,0x39E7,0x39E7,0x0000,0x39E7,0x0000,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x528A,0x39E7,0x0000,0x0000,0x39E7,0x6B6D,0x0000,0x39E7,0x0000,0x528A,0x6B6D,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x528A,0x0000,0x0000,0x3100,0x3940,0x3100,0x3940,0x20C1,0x28E0,0x20C0,0x0000,0x0000,0x39E7,0x6B6D,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x3100,0x3940,0x3100,0x3940,0x3100,0x3940,0x20C1,0x28E0,0x20C0,0x28E0,0x20C0,0x28E0,0x20C0,0x28E0,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xB596,0xBDD7,
	0x528A,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xBDD7
};

const color_t one[400] = {
	0x528A,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0xBDD7,
	0x528A,0x4A49,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x003C,0x003C,0x002F,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x002F,0x003C,0x003C,0x002F,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x003C,0x003C,0x003C,0x003C,0x002F,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x002F,0x003C,0x003C,0x003C,0x003C,0x003C,0x002F,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x003C,0x003C,0x002F,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x003C,0x003C,0x002F,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x003C,0x003C,0x002F,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x003C,0x003C,0x002F,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x003C,0x003C,0x002F,0x9CD3,0x9CD3,0x003C,0x002F,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x003C,0x003C,0x002F,0x9CD3,0x9CD3,0x9CD3,0x003C,0x002F,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x003C,0x003C,0x003C,0x003C,0x002F,0x9CD3,0x003C,0x003C,0x002F,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x003C,0x003C,0x003C,0x003C,0x003C,0x003C,0x003C,0x003C,0x003C,0x003C,0x002F,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xB596,0xBDD7,
	0x528A,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xBDD7
};

const color_t question[400] = {
	0xC638,0xCE79,0xCE79,0xCE79,0xCE79,0xCE79,0xCE79,0xCE79,0xCE79,0xCE79,0xCE79,0xCE79,0xCE79,0xCE79,0xCE79,0xCE79,0xCE79,0xCE79,0xCE79,0x4A49,
	0xC638,0xC618,0xC638,0xC638,0xC638,0xC638,0xC638,0xC638,0xC638,0xC638,0xC638,0xC638,0xC638,0xC638,0xC638,0xC638,0xC638,0xC638,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0xAD75,0xAD75,0x6041,0x6041,0x6041,0x6041,0x6041,0x6041,0xF800,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0xAD75,0x6041,0xF800,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0x6041,0xF800,0xAD75,0xAD75,0xAD75,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0x6041,0xF800,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0x6041,0xF800,0xAD75,0xAD75,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0x6041,0xF800,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0x6041,0xF800,0xAD75,0xAD75,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0x6041,0xF800,0xAD75,0xAD75,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0x6041,0xF800,0xAD75,0xAD75,0xAD75,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0x6041,0x6041,0xF800,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0x6041,0xF800,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0x6041,0xF800,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0x6041,0xF800,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0x6041,0xF800,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0x6041,0xF800,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0x6041,0x6041,0xF800,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0x52AA,0x52AA,0x52AA,0x52AA,0x52AA,0x52AA,0x52AA,0x52AA,0x52AA,0x52AA,0x52AA,0x52AA,0x52AA,0x52AA,0x52AA,0x52AA,0x4208,0x4A49,
	0xC638,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x4A49
};

const color_t seven[400] = {
	0x528A,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0xBDD7,
	0x528A,0x4A49,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xF017,0xF017,0xF017,0xF017,0xF017,0x800C,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xF017,0xF017,0xF017,0xF017,0x800C,0x800C,0x800C,0x800C,0xF017,0x800C,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0xF017,0xF017,0xF017,0xF017,0x800C,0x800C,0x800C,0x800C,0x800C,0x9CD3,0x9CD3,0xF017,0x800C,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x800C,0x800C,0x800C,0x800C,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xF017,0x800C,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xF017,0x800C,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xF017,0x800C,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xF017,0x800C,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xF017,0x800C,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xF017,0x800C,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xF017,0x800C,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xF017,0x800C,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xF017,0x800C,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xF017,0x800C,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xF017,0x800C,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xB596,0xBDD7,
	0x528A,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xBDD7
};

const color_t six[400] = {
	0x528A,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0xBDD7,
	0x528A,0x4A49,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xE800,0xE800,0xE800,0xE800,0xE800,0xE800,0xE800,0x8000,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xE800,0x8000,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xE800,0x8000,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xE800,0x8000,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xE800,0x8000,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xE800,0x8000,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xE800,0x8000,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xE800,0x8000,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xE800,0x8000,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xE800,0x8000,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xE800,0x8000,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xE800,0xE800,0xE800,0xE800,0xE800,0xE800,0xE800,0xE800,0x8000,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xE800,0x8000,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xE800,0x8000,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xE800,0x8000,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xE800,0x8000,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xE800,0x8000,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xE800,0x8000,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xE800,0x8000,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xE800,0x8000,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xE800,0xE800,0xE800,0xE800,0xE800,0xE800,0xE800,0x8000,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xB596,0xBDD7,
	0x528A,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xBDD7
};

const color_t three[400] = {
	0x528A,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0xBDD7,
	0x528A,0x4A49,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x0FEA,0x0FEA,0x0FEA,0x0FEA,0x0FEA,0x04A5,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x0FEA,0x04A5,0x04A5,0x04A5,0x04A5,0x04A5,0x0FEA,0x04A5,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x0FEA,0x04A5,0x04A5,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x0FEA,0x04A5,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x0FEA,0x04A5,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x0FEA,0x04A5,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x04A5,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x0FEA,0x04A5,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x0FEA,0x0FEA,0x0FEA,0x0FEA,0x04A5,0x04A5,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x04A5,0x04A5,0x04A5,0x0FEA,0x04A5,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x0FEA,0x0FEA,0x04A5,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x04A5,0x0FEA,0x04A5,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x0FEA,0x04A5,0x04A5,0x0FEA,0x04A5,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x0FEA,0x04A5,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x0FEA,0x04A5,0x04A5,0x9CD3,0x9CD3,0x04A5,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x0FEA,0x04A5,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x0FEA,0x04A5,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x0FEA,0x04A5,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x0FEA,0x04A5,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x0FEA,0x04A5,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x0FEA,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x0FEA,0x04A5,0x04A5,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x0FEA,0x0FEA,0x0FEA,0x0FEA,0x0FEA,0x0FEA,0x0FEA,0x0FEA,0x04A5,0x04A5,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xB596,0xBDD7,
	0x528A,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xBDD7
};

const color_t two[400] = {
	0x528A,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0x632C,0xBDD7,
	0x528A,0x4A49,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x07BF,0x07BF,0x07BF,0x07BF,0x07BF,0x03EF,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x07BF,0x07BF,0x03EF,0x03EF,0x03EF,0x07BF,0x07BF,0x03EF,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x07BF,0x07BF,0x03EF,0x9CD3,0x9CD3,0x03EF,0x03EF,0x07BF,0x07BF,0x03EF,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x07BF,0x07BF,0x03EF,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x03EF,0x07BF,0x07BF,0x03EF,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x07BF,0x03EF,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x07BF,0x07BF,0x03EF,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x07BF,0x07BF,0x03EF,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x07BF,0x07BF,0x03EF,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x07BF,0x07BF,0x03EF,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x07BF,0x07BF,0x03EF,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x07BF,0x07BF,0x03EF,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x07BF,0x07BF,0x03EF,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x07BF,0x03EF,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x07BF,0x07BF,0x03EF,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x07BF,0x07BF,0x03EF,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x07BF,0x07BF,0x03EF,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x07BF,0x07BF,0x03EF,0x03EF,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x07BF,0x07BF,0x07BF,0x07BF,0x07BF,0x07BF,0x07BF,0x07BF,0x07BF,0x07BF,0x03EF,0x03EF,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0x9CD3,0xB596,0xBDD7,
	0x528A,0x4A49,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xBDD7,0xB596,0xBDD7,
	0x528A,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xC618,0xBDD7
};

const color_t win[400] = {
	0xC638,0xCE79,0xCE79,0xCE79,0xCE79,0xCE79,0xCE79,0xCE79,0xCE79,0xCE79,0xCE79,0xCE79,0xCE79,0xCE79,0xCE79,0xCE79,0xCE79,0xCE79,0xCE79,0x4A49,
	0xC638,0xC618,0xC638,0xC638,0xC638,0xC638,0xC638,0xC638,0xC638,0xC638,0xC638,0xC638,0xC638,0xC638,0xC638,0xC638,0xC638,0xC638,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0x0000,0x0000,0x0000,0x0000,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0xAD75,0xAD75,0x0000,0x0000,0xFF83,0xFF83,0xFF83,0xFF83,0x0000,0x0000,0xAD75,0xAD75,0xAD75,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0xAD75,0x0000,0xFF83,0xFF83,0xFF83,0xFF83,0xFF83,0xFF83,0xFF83,0xFF83,0x0000,0xAD75,0xAD75,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0xAD75,0x0000,0xFF83,0xFF83,0x0000,0xFF83,0xFF83,0x0000,0xFF83,0xFF83,0x0000,0xAD75,0xAD75,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0x0000,0xFF83,0xFF83,0xFF83,0x0000,0xFF83,0xFF83,0x0000,0xFF83,0xFF83,0xFF83,0x0000,0xAD75,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0x0000,0xFF83,0xFF83,0xFF83,0xFF83,0xFF83,0xFF83,0xFF83,0xFF83,0xFF83,0xFF83,0x0000,0xAD75,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0x0000,0xFF83,0xFF83,0xFF83,0xFF83,0xFF83,0xFF83,0xFF83,0xFF83,0xFF83,0xFF83,0x0000,0xAD75,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0x0000,0xFF83,0xFF83,0x0000,0xFF83,0xFF83,0xFF83,0xFF83,0x0000,0xFF83,0xFF83,0x0000,0xAD75,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0xAD75,0x0000,0xFF83,0xFF83,0x0000,0x0000,0x0000,0x0000,0xFF83,0xFF83,0x0000,0xAD75,0xAD75,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0xAD75,0x0000,0xFF83,0xFF83,0xFF83,0xFF83,0xFF83,0xFF83,0xFF83,0xFF83,0x0000,0xAD75,0xAD75,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0xAD75,0xAD75,0x0000,0x0000,0xFF83,0xFF83,0xFF83,0xFF83,0x0000,0x0000,0xAD75,0xAD75,0xAD75,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0x0000,0x0000,0x0000,0x0000,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0xAD75,0x4208,0x4A49,
	0xC638,0xC618,0x52AA,0x52AA,0x52AA,0x52AA,0x52AA,0x52AA,0x52AA,0x52AA,0x52AA,0x52AA,0x52AA,0x52AA,0x52AA,0x52AA,0x52AA,0x52AA,0x4208,0x4A49,
	0xC638,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x5AEB,0x4A49
};
